const Discord = require('discord.js');
const weather = require('weather-js');

exports.run = (client, message, args) => {
  weather.find({search: args.join(" "), degreeType: 'C'}, function(err, result) {
      if (err) message.channel.send(err);
      if (result === undefined || result.length === 0) {
          message.channel.send(new Discord.MessageEmbed().setDescription('Please type somewhere to show weather').setColor('RANDOM'));
          return;
      }
      var current = result[0].current;
      var location = result[0].location;
      const embed = new Discord.MessageEmbed()
          .setDescription(`**${current.skytext}**`)
          .setAuthor(`${current.observationpoint}`)
          .setThumbnail(current.imageUrl)
          .setColor(0x00AE86)
          .addField('Time Zone',`UTC${location.timezone}`, true)
          .addField('Degree Type',location.degreetype, true)
          .addField('Temperature',`${current.temperature} Degrees`, true)
          .addField('Weather', `${current.feelslike}`, true)
          .addField('Wind',current.winddisplay, true)
          .addField('Humidity', `${current.humidity}%`, true)
          message.channel.send(embed).catch(e => {
      message.channel.send(`An error occurred \n${e}`)
    });
  })
}
module.exports.help = {
    name: 'hava-durumu',
    aliases: ['weather']
};
